Description

When you have a repository with another repository inside (with the svn:externals property) all the changes inside this repository
should also be tracked by redmine.

In the current behavior we would have to add the second repository as a subproject to be able to see the commit messages, to brows
through the source tree and to automatically close issues with the "fixes" keyword in my commits.

This issue is related to issue #1581 but it should not just display the property value, instead redmine should use that information to
also track that repository within the same code tree and within the same project.

Is this to complicated? another approach would be to implement a multi-repository-per project model (as suggested in issues #779
and #3169)

History

#1-2011-01-18 06:14 - Toshi MARUYAMA
- Category set to SCM

#2 - 2012-04-16 12:36 - Deniz Bahadir

+1 for implementing this feature.

axaris software & systeme GmbH wrote:
Is this to complicated?

It would be nice to know if it is a difficult task (or requires some other features to be implemented beforehand)? Or is it just lack of time, because of so
many other features to implement?

#3 - 2012-04-16 13:48 - Etienne Massip
Deniz Bahadir wrote:
It would be nice to know if it is a difficult task (or requires some other features to be implemented beforehand)? Or is it just lack of time, because

of so many other features to implement?

#779 has been implemented in 1.4.0 so this issue is kind of obsolete, isn't it?

#4 - 2012-04-23 14:52 - Deniz Bahadir
Etienne Massip wrote:
779 has been implemented in 1.4.0 so this issue is kind of obsolete, isn't it?

| am sorry, | did not know about #779.
However, that does not (really) solve my concern. Maybe issue #7321 is not the correct place for my concern but it sounded closest to me.

I will try to explain, what my concern is:

SVN-externals are similar to symlinks. They point to another directories (or even files) within the same or another svn-repository.
Assuming | have a repo-structure like this:

root
|=> dirl

| |-> filel.l

| \-> filel.2

|=> dir2

| |-> file2.1

| \-> file2.2

|=> dir3

| |-> file3.1

| \-> file3.2
|-> svn-external to: root\dirl
\-> svn-external to: root\dir2\filel.l

If | call

svn checkout svn://root/dir3/ workspace

the local directory "workspace" will look like the following:

workspace

|-> file3.1

|-> file3.2

|-> file2.1

\-> dirl
|-> filel.l
\-> filel.2

As you can see subversion automatically followed the svn-external links and checked out directory "dir1" as subdirectory and "dir2/file2.1" as file.
That is why | think it would be a very useful feature for Redmine, to not only show the svn-externals as property values, but also to evaluate them and
display the appropriate source together with its log-messages. (Eventually, one could make it an optional behavior that could be switched on or off, for

backward-compatibility.)

Of course, with #779 implemented in Redmine 1.4.0 | could just add an extra repository for each svn external by hand, but that can be much work if
one uses svn externals a lot. (And still, | would be unable to see all changes at a glance, without clicking through all repositories.)

#5 - 2012-06-29 11:51 - Dmitry Pashkevich

+1 for implementing this feature, still relevant. It's great that redmine allows adding multiple repositories to the project but it would be much more
convenient if it provided better integration for svn externals
